//____________________________________________________________________________
/*!

\class   KM3NeTWrite

\brief   A class to write gSeaGen output in a KM3NeT file

\author  Alfonso Andres Garcia Soto <alfonsog@nikhef.nl>
         Nikhef, Netherlands

\created 2019

\cpright  Copyright (c) 2019, The KM3NeT Collaboration
          For the full text of the license see $GSEAGEN/LICENSE

*/
//____________________________________________________________________________


#ifndef _xxKM3NETWRITE_H__
#define _xxKM3NETWRITE_H__

#ifdef _KM3NET_ENABLED__

#include <ostream>
#include "km3net-dataformat/offline/Head.hh"
#include "km3net-dataformat/offline/Evt.hh"

#include "PropaMuon/PropaTracks.h"
#include "SeaEvent/GBinParam.h"
#include "SeaEvent/GSeaEvent.h"

#include "TFile.h"
#include "TTree.h"

#include <cstdio>
#include <fstream>
#include <ctime>
#include <string>
#include <map>

#include <TSystem.h>

#include "km3net-dataformat/definitions/w2list_gseagen.hh"
#include "km3net-dataformat/definitions/trkmembers.hh"

using namespace std;
using namespace genie;

namespace genie {

class KM3NeTWrite {

public :

  KM3NeTWrite(GenParam* GenPar );
  ~KM3NeTWrite();
  
  void WriteHeader();
  void WriteEvent(GSeaEvent* SeaEvt);
  
protected:
  
  GenParam* fGenPar;
  TFile* fOutFile;
  TTree* fTree;
  Evt*   fEvt;
  
  void to_trk( unsigned int i, GSeaEvent* SeaEvt );
  
};

} // genie

#endif

#endif // _GKM3NETWRITE_H__
