//____________________________________________________________________________
/*!

\class   PropaIon

\brief   A class to compute muon energy loss: ionization 

\author  Carla Distefano <distefano_c@lns.infn.it>
         LNS-INFN, Catania

\created December 9, 2015

\cpright  Copyright (c) 2015-2019, The KM3NeT Collaboration 
          For the full text of the license see $GSEAGEN/LICENSE

*/
//____________________________________________________________________________

#ifndef _GPropaIon_H__
#define _GPropaIon_H__

#include <map>
#include <string>

using namespace std;

struct SterCoeff{double I,X0,X1,a,m,C; string name;}; 

class PropaIon {

public:
  PropaIon();
  ~PropaIon();
  
  double ACoeff (double Energy, double Z, double A);
  double dE_dx  (double Energy, double Z, double A);

  double ACoeff (double Energy, map<int,double> MediaComposition);
  double dE_dx  (double Energy, map<int,double> MediaComposition);
  
private:
    double IonizationPotential(int Z);
    SterCoeff CorrFactors(int Z); 
};

#endif // _GPropaIon_H__
