//____________________________________________________________________________
/*!

\class   PropaUtils

\brief   Utilities for PropaMuon class

\author  Carla Distefano <distefano_c@lns.infn.it>
         LNS-INFN, Catania

\created December 9, 2015

\cpright  Copyright (c) 2015-2019, The KM3NeT Collaboration
          For the full text of the license see $GSEAGEN/LICENSE
*/
//____________________________________________________________________________

#include "PropaUtils.h"

// PDG code (PDG ion code convention: 10LZZZAAAI)

//____________________________________________________________________________
int propamuon::PdgToZ(int ion_pdgc)
{
  int Z = (ion_pdgc/10000) - 1000*(ion_pdgc/10000000);
  return Z;
}
//____________________________________________________________________________
int propamuon::PdgToA(int ion_pdgc)
{
  int A = (ion_pdgc/10) - 1000*(ion_pdgc/10000);
  return A;
}
