//____________________________________________________________________________
/*!

\class   genie::flux::GSaeRealPointFlux

\brief   A flux driver for the point-like fluxes

\author  Carla Distefano <distefano_c@lns.infn.it>
         LNS-INFN, Catania

\created February 13, 2015

\cpright  Copyright (c) 2015-2019, The KM3NeT Collaboration
          For the full text of the license see $GSEAGEN/LICENSE

*/
//____________________________________________________________________________

#ifndef _GREAL_POINT_FLUX_H_
#define _GREAL_POINT_FLUX_H_


#ifdef _GENIEVERSIONGTEQ3__
#include "Framework/Conventions/Constants.h"
#ifndef __CINT__
#include "Framework/Messenger/Messenger.h"
#endif
#include "Framework/ParticleData/PDGLibrary.h"
#else
#include "Conventions/Constants.h"
#ifndef __CINT__
#include "Messenger/Messenger.h"
#endif
#include "PDG/PDGLibrary.h"
#endif


#include "SeaNuDrivers/GSeaAtmoFlux.h"



namespace genie {
namespace flux  {

class GSeaRealPointFlux: public GSeaAtmoFlux {

public :
  GSeaRealPointFlux(GenParam * GenPar);
 ~GSeaRealPointFlux();

  //
  // Most implementation is derived from the base GSeaAtmoFlux
  // The concrete driver is only required to implement a function for
  // loading the input data files
  //

private:



  void LoadFluxFile(void);

  void SetBinSizes     (string FluxSim, double Emin, double Emax);
//  bool FillFluxHisto2D (string FluxSim, TH2D * h2, string filename);


};

} // flux namespace
} // genie namespace

#endif // _GREAL_ATMO_FLUX_I_H_

