//____________________________________________________________________________
/*!

\class   genie::GSeaSystParam

\brief   Data structure for GSeaSyst

\author  Carla Distefano <distefano_c@lns.infn.it>
         LNS-INFN, Catania

\created May 13, 2012

\cpright  Copyright (c) 2012-2019, The KM3NeT Collaboration
          For the full text of the license see $GSEAGEN/LICENSE

*/
//____________________________________________________________________________


#ifndef _GSEASYSTPARAM_H__
#define _GSEASYSTPARAM_H__

using namespace std;

class InputParam : public TObject {
  public:
  string name; unsigned ntwk; vector<double> tweaking_value;
  InputParam(){};
  ~InputParam(){};
  ClassDef(InputParam,1);
};

class SystInput : public TObject {
  public:

  vector< vector<InputParam> > ListParams;
  vector<InputParam> SingleParams;

  SystInput(){};
  ~SystInput(){};
  ClassDef(SystInput,1);

};


#endif // _GSEASYSTPARAM_H__

