//____________________________________________________________________________
/*!

\library   array_operations

\brief   helper functions to perform some basic operations on arrays

\author  Piotr Kalaczyński <piotr.kalaczynski@ncbj.gov.pl>
         NCBJ Warsaw

\created 18.03.2022

\cpright  Copyright (c) 2022, The KM3NeT Collaboration
          For the full text of the license see $GSEAGEN/LICENSE

*/

//___________________________________________________________________________
template <typename T1, size_t N, typename T2>
bool Contains(const T1 (&Array)[N], int size, const T2 &Element)
{
  // checks if a 1D array contains a specified Element
  
  bool flag = false;
  for (unsigned int i = 0; i < size; i++) {
    if (Array[i]==Element) {
      flag = true;
      break;  // we can stop if we found it
    }
  }
  return flag;
}
